clear all;
close all;
%-------------------------------------------------------------------------------------------
X = [0.3 0.304 0.308	0.312 0.316	0.32 0.324 0.328 0.332 0.336 0.34 0.344 0.348 0.352 0.356 0.36 0.364 0.368 0.372 0.376 0.38 0.384 0.388 0.392 0.396 0.4 0.404 0.408 0.412 0.416 0.42 0.424 0.428 0.432 0.436 0.44 0.444 0.448 0.452 0.456 0.46;
     0.3 0.304 0.308	0.312 0.316	0.32 0.324 0.328 0.332 0.336 0.34 0.344 0.348 0.352 0.356 0.36 0.364 0.368 0.372 0.376 0.38 0.384 0.388 0.392 0.396 0.4 0.404 0.408 0.412 0.416 0.42 0.424 0.428 0.432 0.436 0.44 0.444 0.448 0.452 0.456 0.46;
     0.3 0.304 0.308	0.312 0.316	0.32 0.324 0.328 0.332 0.336 0.34 0.344 0.348 0.352 0.356 0.36 0.364 0.368 0.372 0.376 0.38 0.384 0.388 0.392 0.396 0.4 0.404 0.408 0.412 0.416 0.42 0.424 0.428 0.432 0.436 0.44 0.444 0.448 0.452 0.456 0.46;
     0.3 0.304 0.308	0.312 0.316	0.32 0.324 0.328 0.332 0.336 0.34 0.344 0.348 0.352 0.356 0.36 0.364 0.368 0.372 0.376 0.38 0.384 0.388 0.392 0.396 0.4 0.404 0.408 0.412 0.416 0.42 0.424 0.428 0.432 0.436 0.44 0.444 0.448 0.452 0.456 0.46;
     0.3 0.304 0.308	0.312 0.316	0.32 0.324 0.328 0.332 0.336 0.34 0.344 0.348 0.352 0.356 0.36 0.364 0.368 0.372 0.376 0.38 0.384 0.388 0.392 0.396 0.4 0.404 0.408 0.412 0.416 0.42 0.424 0.428 0.432 0.436 0.44 0.444 0.448 0.452 0.456 0.46;
     0.3 0.304 0.308	0.312 0.316	0.32 0.324 0.328 0.332 0.336 0.34 0.344 0.348 0.352 0.356 0.36 0.364 0.368 0.372 0.376 0.38 0.384 0.388 0.392 0.396 0.4 0.404 0.408 0.412 0.416 0.42 0.424 0.428 0.432 0.436 0.44 0.444 0.448 0.452 0.456 0.46;
     0.3 0.304 0.308	0.312 0.316	0.32 0.324 0.328 0.332 0.336 0.34 0.344 0.348 0.352 0.356 0.36 0.364 0.368 0.372 0.376 0.38 0.384 0.388 0.392 0.396 0.4 0.404 0.408 0.412 0.416 0.42 0.424 0.428 0.432 0.436 0.44 0.444 0.448 0.452 0.456 0.46;
     0.3 0.304 0.308	0.312 0.316	0.32 0.324 0.328 0.332 0.336 0.34 0.344 0.348 0.352 0.356 0.36 0.364 0.368 0.372 0.376 0.38 0.384 0.388 0.392 0.396 0.4 0.404 0.408 0.412 0.416 0.42 0.424 0.428 0.432 0.436 0.44 0.444 0.448 0.452 0.456 0.46;
     0.3 0.304 0.308	0.312 0.316	0.32 0.324 0.328 0.332 0.336 0.34 0.344 0.348 0.352 0.356 0.36 0.364 0.368 0.372 0.376 0.38 0.384 0.388 0.392 0.396 0.4 0.404 0.408 0.412 0.416 0.42 0.424 0.428 0.432 0.436 0.44 0.444 0.448 0.452 0.456 0.46;
     0.3 0.304 0.308	0.312 0.316	0.32 0.324 0.328 0.332 0.336 0.34 0.344 0.348 0.352 0.356 0.36 0.364 0.368 0.372 0.376 0.38 0.384 0.388 0.392 0.396 0.4 0.404 0.408 0.412 0.416 0.42 0.424 0.428 0.432 0.436 0.44 0.444 0.448 0.452 0.456 0.46;
     0.3 0.304 0.308	0.312 0.316	0.32 0.324 0.328 0.332 0.336 0.34 0.344 0.348 0.352 0.356 0.36 0.364 0.368 0.372 0.376 0.38 0.384 0.388 0.392 0.396 0.4 0.404 0.408 0.412 0.416 0.42 0.424 0.428 0.432 0.436 0.44 0.444 0.448 0.452 0.456 0.46;
     0.3 0.304 0.308	0.312 0.316	0.32 0.324 0.328 0.332 0.336 0.34 0.344 0.348 0.352 0.356 0.36 0.364 0.368 0.372 0.376 0.38 0.384 0.388 0.392 0.396 0.4 0.404 0.408 0.412 0.416 0.42 0.424 0.428 0.432 0.436 0.44 0.444 0.448 0.452 0.456 0.46;
     0.3 0.304 0.308	0.312 0.316	0.32 0.324 0.328 0.332 0.336 0.34 0.344 0.348 0.352 0.356 0.36 0.364 0.368 0.372 0.376 0.38 0.384 0.388 0.392 0.396 0.4 0.404 0.408 0.412 0.416 0.42 0.424 0.428 0.432 0.436 0.44 0.444 0.448 0.452 0.456 0.46;
     0.3 0.304 0.308	0.312 0.316	0.32 0.324 0.328 0.332 0.336 0.34 0.344 0.348 0.352 0.356 0.36 0.364 0.368 0.372 0.376 0.38 0.384 0.388 0.392 0.396 0.4 0.404 0.408 0.412 0.416 0.42 0.424 0.428 0.432 0.436 0.44 0.444 0.448 0.452 0.456 0.46;
     0.3 0.304 0.308	0.312 0.316	0.32 0.324 0.328 0.332 0.336 0.34 0.344 0.348 0.352 0.356 0.36 0.364 0.368 0.372 0.376 0.38 0.384 0.388 0.392 0.396 0.4 0.404 0.408 0.412 0.416 0.42 0.424 0.428 0.432 0.436 0.44 0.444 0.448 0.452 0.456 0.46;
     0.3 0.304 0.308	0.312 0.316	0.32 0.324 0.328 0.332 0.336 0.34 0.344 0.348 0.352 0.356 0.36 0.364 0.368 0.372 0.376 0.38 0.384 0.388 0.392 0.396 0.4 0.404 0.408 0.412 0.416 0.42 0.424 0.428 0.432 0.436 0.44 0.444 0.448 0.452 0.456 0.46;
     0.3 0.304 0.308	0.312 0.316	0.32 0.324 0.328 0.332 0.336 0.34 0.344 0.348 0.352 0.356 0.36 0.364 0.368 0.372 0.376 0.38 0.384 0.388 0.392 0.396 0.4 0.404 0.408 0.412 0.416 0.42 0.424 0.428 0.432 0.436 0.44 0.444 0.448 0.452 0.456 0.46;
     0.3 0.304 0.308	0.312 0.316	0.32 0.324 0.328 0.332 0.336 0.34 0.344 0.348 0.352 0.356 0.36 0.364 0.368 0.372 0.376 0.38 0.384 0.388 0.392 0.396 0.4 0.404 0.408 0.412 0.416 0.42 0.424 0.428 0.432 0.436 0.44 0.444 0.448 0.452 0.456 0.46;
     0.3 0.304 0.308	0.312 0.316	0.32 0.324 0.328 0.332 0.336 0.34 0.344 0.348 0.352 0.356 0.36 0.364 0.368 0.372 0.376 0.38 0.384 0.388 0.392 0.396 0.4 0.404 0.408 0.412 0.416 0.42 0.424 0.428 0.432 0.436 0.44 0.444 0.448 0.452 0.456 0.46;
     0.3 0.304 0.308	0.312 0.316	0.32 0.324 0.328 0.332 0.336 0.34 0.344 0.348 0.352 0.356 0.36 0.364 0.368 0.372 0.376 0.38 0.384 0.388 0.392 0.396 0.4 0.404 0.408 0.412 0.416 0.42 0.424 0.428 0.432 0.436 0.44 0.444 0.448 0.452 0.456 0.46;
     0.3 0.304 0.308	0.312 0.316	0.32 0.324 0.328 0.332 0.336 0.34 0.344 0.348 0.352 0.356 0.36 0.364 0.368 0.372 0.376 0.38 0.384 0.388 0.392 0.396 0.4 0.404 0.408 0.412 0.416 0.42 0.424 0.428 0.432 0.436 0.44 0.444 0.448 0.452 0.456 0.46;
     0.3 0.304 0.308	0.312 0.316	0.32 0.324 0.328 0.332 0.336 0.34 0.344 0.348 0.352 0.356 0.36 0.364 0.368 0.372 0.376 0.38 0.384 0.388 0.392 0.396 0.4 0.404 0.408 0.412 0.416 0.42 0.424 0.428 0.432 0.436 0.44 0.444 0.448 0.452 0.456 0.46;
     0.3 0.304 0.308	0.312 0.316	0.32 0.324 0.328 0.332 0.336 0.34 0.344 0.348 0.352 0.356 0.36 0.364 0.368 0.372 0.376 0.38 0.384 0.388 0.392 0.396 0.4 0.404 0.408 0.412 0.416 0.42 0.424 0.428 0.432 0.436 0.44 0.444 0.448 0.452 0.456 0.46;
     0.3 0.304 0.308	0.312 0.316	0.32 0.324 0.328 0.332 0.336 0.34 0.344 0.348 0.352 0.356 0.36 0.364 0.368 0.372 0.376 0.38 0.384 0.388 0.392 0.396 0.4 0.404 0.408 0.412 0.416 0.42 0.424 0.428 0.432 0.436 0.44 0.444 0.448 0.452 0.456 0.46;
     0.3 0.304 0.308	0.312 0.316	0.32 0.324 0.328 0.332 0.336 0.34 0.344 0.348 0.352 0.356 0.36 0.364 0.368 0.372 0.376 0.38 0.384 0.388 0.392 0.396 0.4 0.404 0.408 0.412 0.416 0.42 0.424 0.428 0.432 0.436 0.44 0.444 0.448 0.452 0.456 0.46;
     0.3 0.304 0.308	0.312 0.316	0.32 0.324 0.328 0.332 0.336 0.34 0.344 0.348 0.352 0.356 0.36 0.364 0.368 0.372 0.376 0.38 0.384 0.388 0.392 0.396 0.4 0.404 0.408 0.412 0.416 0.42 0.424 0.428 0.432 0.436 0.44 0.444 0.448 0.452 0.456 0.46;
     0.3 0.304 0.308	0.312 0.316	0.32 0.324 0.328 0.332 0.336 0.34 0.344 0.348 0.352 0.356 0.36 0.364 0.368 0.372 0.376 0.38 0.384 0.388 0.392 0.396 0.4 0.404 0.408 0.412 0.416 0.42 0.424 0.428 0.432 0.436 0.44 0.444 0.448 0.452 0.456 0.46;
     0.3 0.304 0.308	0.312 0.316	0.32 0.324 0.328 0.332 0.336 0.34 0.344 0.348 0.352 0.356 0.36 0.364 0.368 0.372 0.376 0.38 0.384 0.388 0.392 0.396 0.4 0.404 0.408 0.412 0.416 0.42 0.424 0.428 0.432 0.436 0.44 0.444 0.448 0.452 0.456 0.46;
     0.3 0.304 0.308	0.312 0.316	0.32 0.324 0.328 0.332 0.336 0.34 0.344 0.348 0.352 0.356 0.36 0.364 0.368 0.372 0.376 0.38 0.384 0.388 0.392 0.396 0.4 0.404 0.408 0.412 0.416 0.42 0.424 0.428 0.432 0.436 0.44 0.444 0.448 0.452 0.456 0.46;
     0.3 0.304 0.308	0.312 0.316	0.32 0.324 0.328 0.332 0.336 0.34 0.344 0.348 0.352 0.356 0.36 0.364 0.368 0.372 0.376 0.38 0.384 0.388 0.392 0.396 0.4 0.404 0.408 0.412 0.416 0.42 0.424 0.428 0.432 0.436 0.44 0.444 0.448 0.452 0.456 0.46;
     0.3 0.304 0.308	0.312 0.316	0.32 0.324 0.328 0.332 0.336 0.34 0.344 0.348 0.352 0.356 0.36 0.364 0.368 0.372 0.376 0.38 0.384 0.388 0.392 0.396 0.4 0.404 0.408 0.412 0.416 0.42 0.424 0.428 0.432 0.436 0.44 0.444 0.448 0.452 0.456 0.46;
     0.3 0.304 0.308	0.312 0.316	0.32 0.324 0.328 0.332 0.336 0.34 0.344 0.348 0.352 0.356 0.36 0.364 0.368 0.372 0.376 0.38 0.384 0.388 0.392 0.396 0.4 0.404 0.408 0.412 0.416 0.42 0.424 0.428 0.432 0.436 0.44 0.444 0.448 0.452 0.456 0.46;
     0.3 0.304 0.308	0.312 0.316	0.32 0.324 0.328 0.332 0.336 0.34 0.344 0.348 0.352 0.356 0.36 0.364 0.368 0.372 0.376 0.38 0.384 0.388 0.392 0.396 0.4 0.404 0.408 0.412 0.416 0.42 0.424 0.428 0.432 0.436 0.44 0.444 0.448 0.452 0.456 0.46;
     0.3 0.304 0.308	0.312 0.316	0.32 0.324 0.328 0.332 0.336 0.34 0.344 0.348 0.352 0.356 0.36 0.364 0.368 0.372 0.376 0.38 0.384 0.388 0.392 0.396 0.4 0.404 0.408 0.412 0.416 0.42 0.424 0.428 0.432 0.436 0.44 0.444 0.448 0.452 0.456 0.46;
     0.3 0.304 0.308	0.312 0.316	0.32 0.324 0.328 0.332 0.336 0.34 0.344 0.348 0.352 0.356 0.36 0.364 0.368 0.372 0.376 0.38 0.384 0.388 0.392 0.396 0.4 0.404 0.408 0.412 0.416 0.42 0.424 0.428 0.432 0.436 0.44 0.444 0.448 0.452 0.456 0.46;
     0.3 0.304 0.308	0.312 0.316	0.32 0.324 0.328 0.332 0.336 0.34 0.344 0.348 0.352 0.356 0.36 0.364 0.368 0.372 0.376 0.38 0.384 0.388 0.392 0.396 0.4 0.404 0.408 0.412 0.416 0.42 0.424 0.428 0.432 0.436 0.44 0.444 0.448 0.452 0.456 0.46;
     0.3 0.304 0.308	0.312 0.316	0.32 0.324 0.328 0.332 0.336 0.34 0.344 0.348 0.352 0.356 0.36 0.364 0.368 0.372 0.376 0.38 0.384 0.388 0.392 0.396 0.4 0.404 0.408 0.412 0.416 0.42 0.424 0.428 0.432 0.436 0.44 0.444 0.448 0.452 0.456 0.46;
     0.3 0.304 0.308	0.312 0.316	0.32 0.324 0.328 0.332 0.336 0.34 0.344 0.348 0.352 0.356 0.36 0.364 0.368 0.372 0.376 0.38 0.384 0.388 0.392 0.396 0.4 0.404 0.408 0.412 0.416 0.42 0.424 0.428 0.432 0.436 0.44 0.444 0.448 0.452 0.456 0.46;
     0.3 0.304 0.308	0.312 0.316	0.32 0.324 0.328 0.332 0.336 0.34 0.344 0.348 0.352 0.356 0.36 0.364 0.368 0.372 0.376 0.38 0.384 0.388 0.392 0.396 0.4 0.404 0.408 0.412 0.416 0.42 0.424 0.428 0.432 0.436 0.44 0.444 0.448 0.452 0.456 0.46;
     0.3 0.304 0.308	0.312 0.316	0.32 0.324 0.328 0.332 0.336 0.34 0.344 0.348 0.352 0.356 0.36 0.364 0.368 0.372 0.376 0.38 0.384 0.388 0.392 0.396 0.4 0.404 0.408 0.412 0.416 0.42 0.424 0.428 0.432 0.436 0.44 0.444 0.448 0.452 0.456 0.46;
     0.3 0.304 0.308	0.312 0.316	0.32 0.324 0.328 0.332 0.336 0.34 0.344 0.348 0.352 0.356 0.36 0.364 0.368 0.372 0.376 0.38 0.384 0.388 0.392 0.396 0.4 0.404 0.408 0.412 0.416 0.42 0.424 0.428 0.432 0.436 0.44 0.444 0.448 0.452 0.456 0.46;];
 
Xrow = [0.3 0.304 0.308	0.312 0.316	0.32 0.324 0.328 0.332 0.336 0.34 0.344 0.348 0.352 0.356 0.36 0.364 0.368 0.372 0.376 0.38 0.384 0.388 0.392 0.396 0.4 0.404 0.408 0.412 0.416 0.42 0.424 0.428 0.432 0.436 0.44 0.444 0.448 0.452 0.456 0.46];

Ycol = [
68.2
70.2475
72.295
74.3425
76.39
78.4375
80.485
82.5325
84.58
86.6275
88.675
90.7225
92.77
94.8175
96.865
98.9125
100.96
103.0075
105.055
107.1025
109.15
111.1975
113.245
115.2925
117.34
119.3875
121.435
123.4825
125.53
127.5775
129.625
131.6725
133.72
135.7675
137.815
139.8625
141.91
143.9575
146.005
148.0525
150.1    
]';
 
Y = [Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol]*10^9;

x = reshape(X,41,41)';

y = reshape(Y,41,41)';

z = [
0.00192687	0.0019219	0.00191685	0.00191173	0.00190654	0.00190128	0.00189595	0.00189055	0.00188508	0.00187954	0.00187393	0.00186824	0.00186249	0.00185666	0.00185076	0.00184478	0.00183873	0.00183261	0.00182642	0.00182015	0.0018138	0.00180738	0.00180088	0.0017943	0.00178764	0.0017809	0.00177408	0.00176717	0.00176018	0.0017531	0.00174592	0.00173865	0.00173128	0.00172381	0.00171622	0.00170851	0.00170067	0.00169269	0.00168455	0.00167622	0.00166768;
0.00186177	0.00185696	0.00185208	0.00184713	0.00184212	0.00183704	0.00183189	0.00182667	0.00182139	0.00181603	0.00181061	0.00180512	0.00179956	0.00179392	0.00178822	0.00178245	0.00177661	0.00177069	0.0017647	0.00175865	0.00175251	0.00174631	0.00174003	0.00173367	0.00172724	0.00172072	0.00171413	0.00170746	0.0017007	0.00169386	0.00168693	0.0016799	0.00167278	0.00166556	0.00165823	0.00165078	0.00164321	0.00163549	0.00162763	0.00161958	0.00161133;
0.00180091	0.00179626	0.00179154	0.00178676	0.00178191	0.001777	0.00177202	0.00176697	0.00176186	0.00175668	0.00175143	0.00174612	0.00174074	0.00173529	0.00172977	0.00172419	0.00171854	0.00171282	0.00170703	0.00170116	0.00169523	0.00168923	0.00168315	0.00167701	0.00167078	0.00166448	0.00165811	0.00165165	0.00164512	0.0016385	0.00163179	0.001625	0.00161811	0.00161112	0.00160403	0.00159683	0.0015895	0.00158204	0.00157443	0.00156665	0.00155867;
0.00174392	0.00173941	0.00173484	0.00173021	0.00172551	0.00172075	0.00171593	0.00171104	0.00170609	0.00170108	0.001696	0.00169085	0.00168564	0.00168037	0.00167503	0.00166962	0.00166415	0.00165861	0.001653	0.00164732	0.00164158	0.00163577	0.00162988	0.00162393	0.0016179	0.0016118	0.00160563	0.00159938	0.00159305	0.00158664	0.00158015	0.00157357	0.0015669	0.00156013	0.00155326	0.00154629	0.00153919	0.00153197	0.0015246	0.00151706	0.00150933;
0.00169041	0.00168605	0.00168162	0.00167713	0.00167258	0.00166796	0.00166329	0.00165855	0.00165375	0.00164889	0.00164397	0.00163898	0.00163393	0.00162882	0.00162364	0.0016184	0.00161309	0.00160772	0.00160228	0.00159678	0.00159122	0.00158558	0.00157988	0.00157411	0.00156826	0.00156235	0.00155637	0.00155031	0.00154417	0.00153796	0.00153167	0.00152529	0.00151883	0.00151227	0.00150561	0.00149885	0.00149197	0.00148497	0.00147782	0.00147052	0.00146303;
0.0016401	0.00163586	0.00163156	0.00162721	0.00162279	0.00161831	0.00161378	0.00160918	0.00160453	0.00159981	0.00159503	0.00159019	0.00158529	0.00158033	0.00157531	0.00157022	0.00156508	0.00155987	0.00155459	0.00154925	0.00154385	0.00153838	0.00153285	0.00152725	0.00152158	0.00151585	0.00151004	0.00150416	0.00149821	0.00149218	0.00148608	0.00147989	0.00147362	0.00146725	0.00146079	0.00145423	0.00144756	0.00144077	0.00143383	0.00142675	0.00141948;
0.00159269	0.00158857	0.0015844	0.00158017	0.00157588	0.00157154	0.00156713	0.00156267	0.00155815	0.00155357	0.00154893	0.00154423	0.00153947	0.00153465	0.00152977	0.00152483	0.00151984	0.00151478	0.00150965	0.00150447	0.00149923	0.00149392	0.00148854	0.00148311	0.0014776	0.00147203	0.00146639	0.00146068	0.0014549	0.00144905	0.00144312	0.00143711	0.00143102	0.00142484	0.00141857	0.0014122	0.00140572	0.00139912	0.00139239	0.00138551	0.00137845;
0.00154794	0.00154395	0.00153989	0.00153578	0.00153161	0.00152739	0.00152311	0.00151877	0.00151437	0.00150992	0.00150541	0.00150084	0.00149622	0.00149154	0.0014868	0.001482	0.00147714	0.00147222	0.00146724	0.00146221	0.00145711	0.00145195	0.00144672	0.00144144	0.00143609	0.00143068	0.0014252	0.00141965	0.00141403	0.00140834	0.00140258	0.00139674	0.00139082	0.00138481	0.00137872	0.00137252	0.00136623	0.00135981	0.00135327	0.00134658	0.00133972;
0.00150565	0.00150176	0.00149781	0.00149381	0.00148976	0.00148565	0.00148149	0.00147727	0.00147299	0.00146866	0.00146427	0.00145983	0.00145533	0.00145078	0.00144617	0.0014415	0.00143677	0.00143199	0.00142715	0.00142225	0.00141729	0.00141227	0.00140719	0.00140205	0.00139685	0.00139158	0.00138625	0.00138086	0.00137539	0.00136986	0.00136425	0.00135857	0.00135281	0.00134697	0.00134104	0.00133502	0.00132889	0.00132266	0.00131629	0.00130979	0.00130311;
0.0014656	0.00146181	0.00145797	0.00145408	0.00145013	0.00144613	0.00144208	0.00143797	0.00143381	0.0014296	0.00142533	0.001421	0.00141662	0.00141219	0.0014077	0.00140316	0.00139856	0.0013939	0.00138919	0.00138442	0.00137959	0.00137471	0.00136976	0.00136476	0.00135969	0.00135457	0.00134938	0.00134413	0.00133881	0.00133342	0.00132796	0.00132243	0.00131683	0.00131114	0.00130537	0.00129951	0.00129355	0.00128747	0.00128128	0.00127495	0.00126845;
0.00142762	0.00142394	0.0014202	0.0014164	0.00141256	0.00140866	0.00140471	0.00140071	0.00139666	0.00139256	0.0013884	0.00138418	0.00137992	0.0013756	0.00137123	0.0013668	0.00136232	0.00135779	0.0013532	0.00134855	0.00134385	0.00133909	0.00133427	0.0013294	0.00132446	0.00131947	0.00131442	0.0013093	0.00130412	0.00129887	0.00129356	0.00128817	0.00128271	0.00127717	0.00127155	0.00126584	0.00126003	0.00125412	0.00124808	0.00124191	0.00123559;
0.00139157	0.00138797	0.00138433	0.00138063	0.00137688	0.00137309	0.00136924	0.00136534	0.00136139	0.00135739	0.00135333	0.00134923	0.00134507	0.00134086	0.0013366	0.00133228	0.00132792	0.00132349	0.00131902	0.00131449	0.00130991	0.00130527	0.00130057	0.00129582	0.00129101	0.00128615	0.00128122	0.00127623	0.00127118	0.00126607	0.00126089	0.00125564	0.00125031	0.00124492	0.00123944	0.00123387	0.00122821	0.00122244	0.00121656	0.00121055	0.00120438;
0.00135729	0.00135378	0.00135023	0.00134662	0.00134297	0.00133926	0.00133551	0.00133171	0.00132785	0.00132395	0.00131999	0.00131599	0.00131194	0.00130783	0.00130367	0.00129946	0.00129521	0.00129089	0.00128653	0.00128211	0.00127764	0.00127312	0.00126854	0.0012639	0.00125921	0.00125447	0.00124966	0.00124479	0.00123987	0.00123488	0.00122983	0.00122471	0.00121952	0.00121425	0.0012089	0.00120347	0.00119795	0.00119233	0.00118659	0.00118073	0.00117471;
0.00132466	0.00132124	0.00131777	0.00131425	0.00131068	0.00130707	0.0013034	0.00129969	0.00129593	0.00129212	0.00128826	0.00128435	0.0012804	0.00127639	0.00127233	0.00126822	0.00126407	0.00125986	0.0012556	0.00125129	0.00124692	0.00124251	0.00123804	0.00123352	0.00122894	0.00122431	0.00121962	0.00121487	0.00121006	0.00120519	0.00120026	0.00119526	0.0011902	0.00118506	0.00117984	0.00117454	0.00116915	0.00116366	0.00115807	0.00115234	0.00114647;
0.00129356	0.00129022	0.00128683	0.00128339	0.00127991	0.00127638	0.0012728	0.00126918	0.00126551	0.00126178	0.00125802	0.0012542	0.00125034	0.00124642	0.00124246	0.00123845	0.00123439	0.00123028	0.00122612	0.00122191	0.00121765	0.00121334	0.00120897	0.00120456	0.00120009	0.00119556	0.00119098	0.00118635	0.00118165	0.0011769	0.00117208	0.0011672	0.00116225	0.00115724	0.00115214	0.00114697	0.0011417	0.00113635	0.00113088	0.00112529	0.00111956;
0.00126389	0.00126062	0.00125731	0.00125395	0.00125055	0.0012471	0.00124361	0.00124007	0.00123648	0.00123284	0.00122916	0.00122543	0.00122166	0.00121783	0.00121396	0.00121004	0.00120608	0.00120206	0.001198	0.00119388	0.00118972	0.00118551	0.00118124	0.00117693	0.00117256	0.00116814	0.00116366	0.00115913	0.00115455	0.0011499	0.0011452	0.00114043	0.00113559	0.00113069	0.00112571	0.00112066	0.00111552	0.00111028	0.00110494	0.00109948	0.00109388;
0.00123555	0.00123236	0.00122912	0.00122584	0.00122251	0.00121914	0.00121572	0.00121226	0.00120875	0.0012052	0.0012016	0.00119795	0.00119426	0.00119052	0.00118674	0.00118291	0.00117903	0.00117511	0.00117113	0.00116711	0.00116304	0.00115892	0.00115475	0.00115054	0.00114627	0.00114195	0.00113757	0.00113314	0.00112866	0.00112412	0.00111952	0.00111486	0.00111013	0.00110534	0.00110047	0.00109553	0.0010905	0.00108538	0.00108016	0.00107482	0.00106935;
0.00120845	0.00120533	0.00120216	0.00119895	0.0011957	0.0011924	0.00118906	0.00118567	0.00118224	0.00117876	0.00117524	0.00117168	0.00116807	0.00116441	0.00116071	0.00115696	0.00115317	0.00114933	0.00114545	0.00114151	0.00113753	0.00113351	0.00112943	0.0011253	0.00112113	0.0011169	0.00111262	0.00110829	0.0011039	0.00109946	0.00109496	0.0010904	0.00108578	0.00108109	0.00107634	0.0010715	0.00106658	0.00106158	0.00105647	0.00105125	0.0010459;
0.00118251	0.00117946	0.00117636	0.00117322	0.00117004	0.00116681	0.00116354	0.00116022	0.00115687	0.00115347	0.00115002	0.00114653	0.001143	0.00113942	0.0011358	0.00113213	0.00112842	0.00112467	0.00112086	0.00111702	0.00111312	0.00110918	0.00110519	0.00110115	0.00109707	0.00109293	0.00108874	0.00108451	0.00108021	0.00107587	0.00107146	0.001067	0.00106248	0.00105789	0.00105324	0.00104851	0.00104369	0.0010388	0.0010338	0.00102869	0.00102345;
0.00115767	0.00115468	0.00115165	0.00114857	0.00114545	0.00114229	0.00113909	0.00113585	0.00113256	0.00112923	0.00112586	0.00112244	0.00111898	0.00111548	0.00111194	0.00110835	0.00110472	0.00110104	0.00109731	0.00109355	0.00108973	0.00108587	0.00108197	0.00107802	0.00107402	0.00106997	0.00106587	0.00106172	0.00105752	0.00105326	0.00104895	0.00104458	0.00104016	0.00103567	0.00103111	0.00102648	0.00102177	0.00101697	0.00101208	0.00100707	0.00100195;
0.00113385	0.00113092	0.00112795	0.00112493	0.00112188	0.00111879	0.00111565	0.00111247	0.00110926	0.00110599	0.00110269	0.00109935	0.00109596	0.00109253	0.00108906	0.00108554	0.00108198	0.00107838	0.00107473	0.00107104	0.00106731	0.00106353	0.0010597	0.00105583	0.00105191	0.00104795	0.00104394	0.00103987	0.00103576	0.00103159	0.00102737	0.00102309	0.00101875	0.00101435	0.00100989	0.00100535	0.00100074	0.000996042	0.000991251	0.000986352	0.000981327;
0.00111098	0.00110811	0.0011052	0.00110225	0.00109926	0.00109623	0.00109316	0.00109004	0.00108689	0.00108369	0.00108046	0.00107718	0.00107386	0.0010705	0.0010671	0.00106365	0.00106017	0.00105664	0.00105306	0.00104945	0.00104579	0.00104209	0.00103834	0.00103454	0.0010307	0.00102682	0.00102289	0.0010189	0.00101487	0.00101079	0.00100665	0.00100246	0.000998211	0.000993901	0.000989527	0.000985082	0.000980562	0.000975959	0.000971264	0.000966464	0.000961541;
0.00108903	0.00108621	0.00108336	0.00108047	0.00107753	0.00107456	0.00107155	0.0010685	0.00106541	0.00106227	0.0010591	0.00105589	0.00105264	0.00104934	0.00104601	0.00104263	0.00103921	0.00103575	0.00103225	0.00102871	0.00102512	0.00102149	0.00101781	0.0010141	0.00101033	0.00100652	0.00100267	0.000998766	0.000994814	0.000990811	0.000986757	0.000982647	0.000978482	0.000974257	0.000969969	0.000965612	0.000961181	0.00095667	0.000952067	0.000947362	0.000942536;
0.00106792	0.00106516	0.00106236	0.00105953	0.00105665	0.00105374	0.00105078	0.00104779	0.00104476	0.00104169	0.00103858	0.00103542	0.00103223	0.001029	0.00102573	0.00102242	0.00101907	0.00101568	0.00101224	0.00100877	0.00100525	0.00100169	0.000998088	0.000994442	0.000990751	0.000987016	0.000983235	0.000979408	0.000975533	0.000971607	0.000967632	0.000963602	0.000959517	0.000955374	0.00095117	0.000946897	0.000942552	0.000938128	0.000933615	0.000929	0.000924268;
0.00104761	0.00104491	0.00104216	0.00103938	0.00103656	0.0010337	0.0010308	0.00102787	0.00102489	0.00102188	0.00101883	0.00101574	0.00101261	0.00100944	0.00100623	0.00100298	0.000999695	0.000996366	0.000992998	0.000989588	0.000986138	0.000982645	0.000979111	0.000975534	0.000971914	0.00096825	0.000964541	0.000960787	0.000956985	0.000953134	0.000949234	0.000945281	0.000941274	0.00093721	0.000933085	0.000928894	0.000924631	0.000920291	0.000915864	0.000911337	0.000906695;
0.00102807	0.00102541	0.00102272	0.00101999	0.00101722	0.00101441	0.00101157	0.00100869	0.00100577	0.00100281	0.00099982	0.000996786	0.000993715	0.000990605	0.000987457	0.000984269	0.000981042	0.000977776	0.00097447	0.000971124	0.000967738	0.000964311	0.000960843	0.000957333	0.00095378	0.000950184	0.000946545	0.00094286	0.000939129	0.00093535	0.000931523	0.000927644	0.000923711	0.000919723	0.000915674	0.000911562	0.00090738	0.00090312	0.000898775	0.000894333	0.000889778;
0.00100924	0.00100663	0.00100399	0.00100131	0.000998588	0.000995833	0.000993042	0.000990214	0.000987348	0.000984446	0.000981506	0.000978528	0.000975513	0.00097246	0.00096937	0.00096624	0.000963073	0.000959867	0.000956621	0.000953337	0.000950012	0.000946648	0.000943243	0.000939797	0.00093631	0.00093278	0.000929207	0.00092559	0.000921927	0.000918218	0.00091446	0.000910652	0.000906792	0.000902877	0.000898902	0.000894865	0.000890759	0.000886578	0.000882313	0.000877952	0.00087348;
0.000991083	0.000988524	0.000985927	0.000983294	0.000980626	0.000977921	0.00097518	0.000972403	0.000969589	0.000966739	0.000963852	0.000960927	0.000957967	0.000954969	0.000951934	0.000948861	0.00094575	0.000942602	0.000939414	0.000936189	0.000932924	0.000929621	0.000926277	0.000922893	0.000919468	0.000916002	0.000912493	0.000908941	0.000905344	0.000901702	0.000898012	0.000894272	0.000890482	0.000886637	0.000882734	0.000878769	0.000874737	0.000870631	0.000866442	0.00086216	0.000857768;
0.000973572	0.000971057	0.000968507	0.00096592	0.000963299	0.000960642	0.000957949	0.000955221	0.000952457	0.000949656	0.000946822	0.000943948	0.00094104	0.000938096	0.000935113	0.000932095	0.000929039	0.000925946	0.000922816	0.000919647	0.00091644	0.000913195	0.000909911	0.000906586	0.000903222	0.000899817	0.00089637	0.000892881	0.000889348	0.00088577	0.000882145	0.000878471	0.000874747	0.00087097	0.000867137	0.000863242	0.000859281	0.000855248	0.000851133	0.000846927	0.000842612;
0.000956668	0.000954197	0.000951691	0.000949149	0.000946574	0.000943963	0.000941317	0.000938636	0.00093592	0.000933168	0.000930382	0.000927559	0.000924702	0.000921808	0.000918878	0.000915911	0.000912909	0.00090987	0.000906794	0.00090368	0.000900529	0.00089734	0.000894113	0.000890846	0.00088754	0.000884194	0.000880807	0.000877378	0.000873907	0.00087039	0.000866828	0.000863219	0.000859559	0.000855848	0.000852081	0.000848254	0.000844361	0.000840399	0.000836355	0.000832222	0.000827982;
0.000940342	0.000937912	0.000935449	0.000932951	0.00093042	0.000927853	0.000925253	0.000922617	0.000919947	0.000917243	0.000914504	0.000911729	0.00090892	0.000906076	0.000903196	0.00090028	0.000897329	0.000894342	0.000891318	0.000888258	0.00088516	0.000882025	0.000878853	0.000875643	0.000872393	0.000869104	0.000865775	0.000862405	0.000858992	0.000855536	0.000852035	0.000848487	0.00084489	0.000841242	0.000837539	0.000833777	0.000829952	0.000826056	0.000822082	0.000818019	0.000813852;
0.000924563	0.000922175	0.000919752	0.000917297	0.000914806	0.000912284	0.000909727	0.000907136	0.000904511	0.000901852	0.000899158	0.000896431	0.000893669	0.000890872	0.000888041	0.000885174	0.000882272	0.000879335	0.000876362	0.000873353	0.000870307	0.000867225	0.000864107	0.000860949	0.000857754	0.000854521	0.000851248	0.000847934	0.000844579	0.000841181	0.000837738	0.000834249	0.000830713	0.000827126	0.000823485	0.000819787	0.000816025	0.000812195	0.000808288	0.000804293	0.000800195;
0.000909305	0.000906956	0.000904573	0.000902159	0.00089971	0.000897228	0.000894714	0.000892166	0.000889584	0.000886968	0.000884319	0.000881637	0.000878921	0.00087617	0.000873385	0.000870566	0.000867712	0.000864823	0.000861899	0.00085894	0.000855945	0.000852913	0.000849846	0.000846741	0.000843599	0.000840419	0.000837199	0.000833941	0.00083064	0.000827298	0.000823913	0.000820481	0.000817004	0.000813476	0.000809896	0.000806258	0.000802559	0.000798791	0.000794949	0.000791019	0.00078699;
0.000894542	0.000892231	0.000889888	0.000887512	0.000885103	0.000882662	0.000880188	0.000877682	0.000875142	0.000872569	0.000869963	0.000867324	0.000864651	0.000861945	0.000859205	0.000856432	0.000853624	0.000850783	0.000847907	0.000844995	0.000842048	0.000839066	0.000836048	0.000832994	0.000829903	0.000826774	0.000823607	0.000820402	0.000817155	0.000813867	0.000810537	0.000807162	0.00080374	0.000800269	0.000796747	0.000793169	0.000789529	0.000785823	0.000782043	0.000778177	0.000774213;
0.000880252	0.000877978	0.000875671	0.000873334	0.000870963	0.000868561	0.000866127	0.000863659	0.000861161	0.000858629	0.000856064	0.000853468	0.000850838	0.000848175	0.000845479	0.00084275	0.000839987	0.000837191	0.00083436	0.000831496	0.000828596	0.000825662	0.000822692	0.000819687	0.000816645	0.000813566	0.00081045	0.000807295	0.000804101	0.000800865	0.000797588	0.000794267	0.0007909	0.000787485	0.000784018	0.000780497	0.000776916	0.00077327	0.000769548	0.000765746	0.000761845;
0.000866409	0.000864172	0.000861902	0.000859601	0.000857268	0.000854904	0.000852507	0.000850079	0.00084762	0.000845128	0.000842603	0.000840047	0.000837459	0.000834838	0.000832184	0.000829498	0.000826779	0.000824027	0.000821241	0.00081842	0.000815567	0.000812679	0.000809756	0.000806798	0.000803804	0.000800774	0.000797706	0.000794601	0.000791456	0.000788271	0.000785046	0.000781777	0.000778463	0.000775102	0.00077169	0.000768224	0.000764699	0.00076111	0.000757449	0.000753705	0.000749865;
0.000852997	0.000850794	0.000848559	0.000846293	0.000843997	0.000841669	0.00083931	0.000836919	0.000834497	0.000832044	0.000829559	0.000827043	0.000824494	0.000821914	0.000819302	0.000816657	0.00081398	0.000811269	0.000808527	0.000805751	0.000802942	0.000800098	0.00079722	0.000794308	0.00079136	0.000788377	0.000785357	0.000782299	0.000779204	0.000776069	0.000772893	0.000769675	0.000766412	0.000763103	0.000759744	0.000756331	0.000752861	0.000749328	0.000745722	0.000742036	0.000738257;
0.000839993	0.000837823	0.000835623	0.000833391	0.000831129	0.000828837	0.000826515	0.00082416	0.000821776	0.00081936	0.000816913	0.000814434	0.000811925	0.000809383	0.000806812	0.000804207	0.000801571	0.000798902	0.000796201	0.000793467	0.000790701	0.0007879	0.000785067	0.000782199	0.000779295	0.000776358	0.000773384	0.000770374	0.000767325	0.000764238	0.00076111	0.000757941	0.000754728	0.000751469	0.000748161	0.000744801	0.000741384	0.000737904	0.000734354	0.000730724	0.000727002;
0.00082738	0.000825243	0.000823075	0.000820878	0.000818649	0.000816391	0.000814103	0.000811785	0.000809435	0.000807056	0.000804646	0.000802205	0.000799733	0.00079723	0.000794696	0.000792131	0.000789534	0.000786906	0.000784245	0.000781552	0.000778827	0.000776069	0.000773278	0.000770453	0.000767594	0.0007647	0.000761771	0.000758805	0.000755803	0.000752762	0.000749681	0.000746559	0.000743395	0.000740185	0.000736927	0.000733617	0.000730251	0.000726823	0.000723327	0.000719751	0.000716085;
0.000815139	0.000813034	0.000810898	0.000808734	0.000806538	0.000804314	0.00080206	0.000799775	0.000797461	0.000795117	0.000792742	0.000790337	0.000787902	0.000785436	0.00078294	0.000780412	0.000777854	0.000775264	0.000772643	0.00076999	0.000767305	0.000764588	0.000761838	0.000759055	0.000756238	0.000753387	0.000750501	0.00074758	0.000744621	0.000741626	0.00073859	0.000735514	0.000732397	0.000729234	0.000726025	0.000722764	0.000719448	0.000716071	0.000712626	0.000709104	0.000705492;
0.000803256	0.000801181	0.000799077	0.000796944	0.000794781	0.000792588	0.000790367	0.000788116	0.000785835	0.000783525	0.000781185	0.000778815	0.000776416	0.000773986	0.000771526	0.000769035	0.000766514	0.000763962	0.000761379	0.000758765	0.000756119	0.000753441	0.000750732	0.000747989	0.000745213	0.000742404	0.00073956	0.000736681	0.000733766	0.000730814	0.000727823	0.000724793	0.00072172	0.000718603	0.000715441	0.000712227	0.000708959	0.000705632	0.000702237	0.000698766	0.000695207];

%-------------------------------------------------------------------------------------------
% Plot: lambda(E,nu)
figure(1)
% tiledlayout(2,1)
% % Top plot
% ax1 = nexttile;
% stem(ax1,y,z)

% % Bottom plot
% ax2 = nexttile;  
% stem3(ax2,x,y,z,'MarkerFaceColor','r')

stem3(x,y,z,...
    'LineStyle','none',...
    'Marker','x',...
    'MarkerEdgeColor','[0.4940 0.1840 0.5560]',...
    'MarkerFaceColor','[0.4940 0.1840 0.5560]')

zlim([0.0006 0.00193])
ylim([68.2E9 150.1E9])
xlim([0.3 0.46])

% xticks([0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46])
xticks([0.30 0.32 0.34 0.36 0.38 0.40 0.42 0.44 0.46])
yticks([68.2E9 80.0E9 90.0E9 100.0E9 110.0E9 120.0E9 130.0E9 140.0E9 150.1E9])
zticks([0.00069 0.00100 0.00120 0.00140 0.00160 0.00180 0.00193])

title('Strain energy density $\mathcal{E}(E,\nu)$ - High load - LLZO - Full range of Young E','interpreter','latex','FontSize',12);
ylabel('Young $E \ [N/m^2]$','interpreter','latex','FontSize',12); 
xlabel('Poisson $\nu \ [-]$','interpreter','latex','FontSize',12);
zlabel('$\mathcal{E} (E,\nu)$','interpreter','latex','FontSize',12);

set(gca,'TickLabelInterpreter','latex');
view([37 46]);
% pure view of E
% view([90 0]);
% pure view of nu
% view([0 0]);
grid on
set(gcf,'renderer','Painters')
print -depsc -tiff -r300 -painters Highload_Fullrange_strainenergy_LLZO_48e.eps
print -dpng Highload_Fullrange_strainenergy_LLZO_48e.png